Consultar métricas de envio
curl --request GET \
--url https://api.ararahq.com/dashboard/metrics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/dashboard/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/dashboard/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/dashboard/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123,
"since": "<string>",
"window7d": {
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123
},
"previous7d": {
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123
},
"mode": "LIVE"
}Mensagens
Consultar métricas de envio
Totais de envio da organização por janela de tempo. Permissão: ADMIN.
GET
/
dashboard
/
metrics
Consultar métricas de envio
curl --request GET \
--url https://api.ararahq.com/dashboard/metrics \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ararahq.com/dashboard/metrics', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.ararahq.com/dashboard/metrics"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ararahq.com/dashboard/metrics",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123,
"since": "<string>",
"window7d": {
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123
},
"previous7d": {
"total": 123,
"sent": 123,
"delivered": 123,
"read": 123,
"failed": 123,
"pending": 123,
"deliveryRate": "<string>",
"totalCost": 123
},
"mode": "LIVE"
}Authorizations
Chave de API da Arara (ara_live_...), enviada no header Authorization: Bearer ara_live_.... Crie e gerencie as chaves no painel: https://app.ararahq.com/dashboard/apikeys. O valor completo aparece uma única vez, na criação.
Response
Métricas
Percentual formatado em string.
Data da primeira mensagem (vazio sem histórico).
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Example:
"LIVE"